### Function

# Pango parse_stretch

#### Declaration [src]

    gboolean
    pango_parse_stretch (
      const char* str,
      PangoStretch* stretch,
      gboolean warn
    )

#### Description [src]

Parses a font stretch.

The allowed values are “ultra_condensed”, “extra_condensed”, “condensed”, “semi_condensed”, “normal”, “semi_expanded”, “expanded”, “extra_expanded” and “ultra_expanded”. Case variations are ignored and the ‘_’ characters may be omitted.

#### Parameters

`str`

  Type: `const char*`

  A string to parse.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`stretch`

  Type: `PangoStretch`

  A `PangoStretch` to store the result in.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`warn`

  Type: `gboolean`

  If `TRUE`, issue a `g_warning()` on bad input.

#### Return value

Type: `gboolean`

`TRUE` if `str` was successfully parsed.